package com.kmall.api.dao.mk;

import com.kmall.api.entity.mk.MkStoreTicketDiscountVo;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 门店优惠券活动Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-07 16:06:28
 */
public interface ApiMkStoreTicketDiscountMapper extends BaseDao<MkStoreTicketDiscountVo> {

    List<MkStoreTicketDiscountVo> queryStoreDiscountByUserId(Map<String, Object> map);

    List<MkStoreTicketDiscountVo> getDiscountByStoreIdList(Map<String, Object> map) ;

    Integer getTotalByDiscountByStoreId(Map<String, Object> map);

    List<MkStoreTicketDiscountVo> getDiscountByCartGoodsIdList(Map<String, Object> map) ;

    MkStoreTicketDiscountVo queryTickObjectByIdAndStoreIdAndUserId(@Param("couponId") Integer couponId, @Param("storeId") Long storeId, @Param("userId")Long userId);

    MkStoreTicketDiscountVo queryDiscObjectByUserId(@Param("id")Integer discId, @Param("userId")Long userId);

    MkStoreTicketDiscountVo getDiscountByUserCouponId(Integer userCouponId);
}
